Subject: Re: bug#6871: Please make linum-mode per buffer, not per major mode

From: Stefan Monnier <[email-masked]>
Date: Wed, 18 Aug 2010 09:20:34 +0200

>> I think such a change is acceptable (although the motivation of
>> multi-major-mode buffers might not be that compelling, since it
>> tends to lead to the idea that most/all minor-modes should be made
>> permanent-local), but we need a proper patch for it.

> Thats potentially a lot of overlays to persist in buffers which:

> - may not always be visible
> - may be visible but don't need the linum minor-mode behaviour
>   automatically persisted

It's relatively rare to use linum-mode and then to change major-mode.
So (until proven otherwise) it's a non-issue.

        Stefan